org.springframework.jdbc

## Class IncorrectResultSetColumnCountException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.DataRetrievalFailureException
              - - org.springframework.jdbc.IncorrectResultSetColumnCountException

All Implemented Interfaces:
  Serializable

    public class IncorrectResultSetColumnCountException
    extends DataRetrievalFailureException

Data access exception thrown when a result set did not have the correct column count, for example when expecting a single column but getting 0 or more than 1 columns.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `IncorrectResultSizeDataAccessException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncorrectResultSetColumnCountException(int expectedCount, int actualCount)` Constructor for IncorrectResultSetColumnCountException.
`IncorrectResultSetColumnCountException(String msg, int expectedCount, int actualCount)` Constructor for IncorrectResultCountDataAccessException.

### Method Summary

Methods
`int` `getActualCount()` Return the actual column count.
`int` `getExpectedCount()` Return the expected column count.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncorrectResultSetColumnCountException

    public IncorrectResultSetColumnCountException(int expectedCount,
                                          int actualCount)

Constructor for IncorrectResultSetColumnCountException.

Parameters:
  `expectedCount` - the expected column count
  `actualCount` - the actual column count

#### IncorrectResultSetColumnCountException

    public IncorrectResultSetColumnCountException(String msg,
                                          int expectedCount,
                                          int actualCount)

Constructor for IncorrectResultCountDataAccessException.

Parameters:
  `msg` - the detail message
  `expectedCount` - the expected column count
  `actualCount` - the actual column count

### Method Detail

#### getExpectedCount

    public int getExpectedCount()

Return the expected column count.

#### getActualCount

    public int getActualCount()

Return the actual column count.